<template>
  <div>
    <TextInputFloatingLabel for="url" :text="t('ical_url_label')">
      <input
          type="text"
          id="url"
          name="url"
          :value="currentSettings.url"
          placeholder="https://example.com/calendar.ics"
      />
    </TextInputFloatingLabel>
    <CheckboxBorderedLabel
        for="urlRequiresAuth"
        :text="t('credential_toggle_label')"
    >
      <input
          type="checkbox"
          id="urlRequiresAuth"
          name="urlRequiresAuth"
          :value="currentSettings.urlRequiresAuth"
          :checked="showAuthFields"
          @click="toggleAuthFields"
      />
    </CheckboxBorderedLabel>
    <fieldset v-if="showAuthFields">
      <TextInputFloatingLabel for="user" :text="t('username_label')">
        <input
            type="text"
            name="user"
            id="user"
            autocomplete="username"
            :value="currentSettings.user"
            placeholder=" "
            required
        />
      </TextInputFloatingLabel>
      <TextInputFloatingLabel for="password" :text="t('password_label')">
        <input
            type="password"
            name="password"
            id="password"
            autocomplete="current-password"
            :value="currentSettings.password"
            placeholder=" "
            required
        />
      </TextInputFloatingLabel>
    </fieldset>
  </div>
</template>

<script>
module.exports = {
  name: "ical",
  props: {
    currentSettings: {
      type: Object,
      default: function () {
        return {
          url: "",
          user: "",
          password: "",
          urlRequiresAuth: false
        }
      }
    }
  },
  data: function () {
    return {
      showAuthFields: false
    };
  },
  watch: {
    conf: {
      immediate: true,
      handler: function (newVal) {
        this.showAuthFields = this.currentSettings.urlRequiresAuth;
      }
    }
  },
  methods: {
    toggleAuthFields: function () {
      this.showAuthFields = !this.showAuthFields;
    }
  },
  locales: {
    enGb: {
      ical_url_label: "calendar file URL (.ics)",
      credential_toggle_label: "Requires credentials",
      username_label: "username",
      password_label: "password"
    },
    deDe: {
      ical_url_label: "URL der Kalender-Datei (.ics)",
      credential_toggle_label: "Benötigt Zugangsdaten",
      username_label: "Nutzername",
      password_label: "Passwort"
    },
    frFr: {
      ical_url_label: "URL du fichier de calendrier (.ics)",
      credential_toggle_label: "Nécessite des données d'accès",
      username_label: "Nom d'utilisateur",
      password_label: "Mot de passe"
    },
    esEs: {
      ical_url_label: "URL del archivo del calendario (.ics)",
      credential_toggle_label: "Requiere datos de acceso",
      username_label: "Nombre de usuario",
      password_label: "Contraseña"
    },
    plPl: {
      ical_url_label: "URL pliku kalendarza (.ics)",
      credential_toggle_label: "Wymaga danych dostępowych",
      username_label: "Nazwa użytkownika",
      password_label: "Hasło"
    },
    koKr: {
      ical_url_label: "캘린더 파일의 URL (.ics)",
      credential_toggle_label: "액세스 데이터 필요",
      username_label: "사용자 이름",
      password_label: "암호"
    }
  }
};
</script>
